﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="PagerIntegration.aspx.cs"
	Inherits="PagerIntegration" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
	<link href="CSS/Styles.css" rel="stylesheet" type="text/css" />
</head>
<body>
	<form id="form1" runat="server">
	<telerik:RadScriptManager ID="RadScriptManager1" runat="server">
	</telerik:RadScriptManager>
	<telerik:RadAjaxPanel ID="RadAjaxPanel1" runat="server" LoadingPanelID="RadAjaxLoadingPanel1">
		<div class="rotatorCont">
			<div class="rotator">
				<telerik:RadRotator ID="RadRotator1" runat="server" Width="470px" Height="364" ItemWidth="470px"
					ItemHeight="230" ScrollDuration="500" RotatorType="Buttons" DataSourceID="SqlDataSource1"
					OnDataBound="RadRotator1_DataBound" OnClientItemShown="OnClientItemShown" OnClientLoad="OnClientLoad">
					<ItemTemplate>
						<div class="itemTemplate">
							<div class="imageStyle">
								<asp:Image ID="Image1" runat="server" ImageUrl='<%# Eval("ProductID", "~/Images/Products/{0}.jpg") %>'
									AlternateText='<%# Eval("ProductID") %>' />
							</div>
							<div style="width: 200px; float: left; margin: 0 0 0 15px;">
								<div style="padding-top: 20px;">
									<asp:Label CssClass="info" ID="ProductName" runat="server" Style="font-size: 24px;"><%# Eval("ProductName") %></asp:Label>
									<br />
									<br />
									<span class='title' style="color: #f00">Category:</span>
									<asp:Label CssClass="info" ID="Category" runat="server"><%# Eval("CategoryName")%></asp:Label>
									<br />
									<span class='title' style="color: #f00">Unit Price:</span>
									<asp:Label CssClass="info" ID="Label2" runat="server"><%# Eval("UnitPrice")%></asp:Label>
									<br />
									<span class='title' style="color: #f00">Units In Stock:</span>
									<asp:Label CssClass="info" ID="Label3" runat="server"><%# Eval("UnitsInStock")%></asp:Label>
									<br />
									<span class='title' style="color: #f00">Supplier:</span>
									<asp:Label CssClass="info" ID="Label6" runat="server"><%# Eval("CompanyName")%></asp:Label>
									<br />
								</div>
							</div>
						</div>
					</ItemTemplate>
					<ControlButtons LeftButtonID="leftArrow" RightButtonID="rightArrow" />
				</telerik:RadRotator>
				<div class="links">
					<asp:Panel ID="ButtonsContainer" runat="server">
					</asp:Panel>
					<a href="#" id="leftArrow" title="Rotate Left" class="leftButton"></a><a href="#"
						id="rightArrow" title="Rotate Right" class="rightButton"></a>
				</div>
			</div>
		</div>
	</telerik:RadAjaxPanel>
	<telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server">
	</telerik:RadAjaxLoadingPanel>
	<telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
		<script type="text/javascript">

			var lastShownButton;
			function showItemByIndex(index) {
				// gets reference to the rotator object
				var oRotator = $find("<%= RadRotator1.ClientID %>");

				// Sets currently shown item by its index
				oRotator.set_currentItemIndex(index);

				if (lastShownButton)
					lastShownButton.removeClass("btnHighlight");


				var currentButton = getButtonByIndex(index);
				currentButton.addClass("btnHighlight");
				lastShownButton = currentButton;
			}

			function OnClientItemShown(oRotator, args) {
				var currentIndex = args.get_item().get_index();

				if (lastShownButton)
					lastShownButton.removeClass("btnHighlight");

				var currentButton = getButtonByIndex(currentIndex);
				currentButton.addClass("btnHighlight");
				lastShownButton = currentButton;
			}

			function getButtonByIndex(index) {
				var buttonIdSelector = String.format("#Button{0}:first", index);
				var currentButton = $telerik.$(buttonIdSelector)

				return currentButton;
			}

			function OnClientLoad(sender, args) {
				if (!sender.autoIntervalID) {
					sender.autoIntervalID = window.setInterval(function () {
						sender.showNext(Telerik.Web.UI.RotatorScrollDirection.Left);
					}, sender.get_frameDuration());
				}
			}

		</script>
	</telerik:RadCodeBlock>
	<asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
		ProviderName="System.Data.SqlClient" SelectCommand="SELECT TOP(15) * FROM [Products] INNER JOIN [Suppliers] ON Products.SupplierID=Suppliers.SupplierID INNER JOIN [Categories] ON Products.CategoryID=Categories.CategoryID">
	</asp:SqlDataSource>
	</form>
</body>
</html>
