﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class PagerIntegration : System.Web.UI.Page
{
	private void Page_Load(object sender, System.EventArgs e)
	{
	}

	protected void RadRotator1_DataBound(object sender, EventArgs e)
	{
		AddNavigationButtons();
	}

	protected void RadioButtonList1_SelectedIndexChanged(object sender, EventArgs e)
	{
		AddNavigationButtons();
	}

	private void AddNavigationButtons()
	{
		foreach (RadRotatorItem item in RadRotator1.Items)
		{
			LinkButton linkButton = CreateLinkButton(item.Index);
			ButtonsContainer.Controls.Add(linkButton);
		}
	}

	private LinkButton CreateLinkButton(int itemIndex)
	{
		// Create the LinkButton
		LinkButton button = new LinkButton();
		button.Text = (itemIndex + 1).ToString();// The test of the button
		button.ID = string.Format("Button{0}", itemIndex);// Assign an unique ID
		// Attach a JavaScript handler to the click event
		button.OnClientClick = string.Format("showItemByIndex({0}); return false;", itemIndex);

		// Class which is applied to the newly added button
		button.CssClass = "buttonClass";
		return button;
	}
}